Name: bogofilter
Version: 0.17.5
Release: alt1

Summary: Fast anti-spam filtering by Bayesian statistical analysis
Summary(ru_RU.CP1251):        
Group: Networking/Mail
License: GPL
URL: http://bogofilter.sourceforge.net/

%define gsl_ver 1.4

%define pkgdocdir %_docdir/%name-%version

Source: %name-%version.tar.bz2
Patch0: %name-0.15.13.2-anti-bogus-dependencies.patch

Requires: libgsl >= %gsl_ver

BuildRequires: OpenSP flex
BuildRequires: libgsl-devel >= %gsl_ver
BuildRequires: libdb4-devel >= 4.1

%description
Bogofilter is a Bayesian spam filter.  In its normal mode of
operation, it takes an email message or other text on standard input,
does a statistical check against lists of "good" and "bad" words, and
returns a status code indicating whether or not the message is spam.
Bogofilter is designed with fast algorithms  (including Berkeley DB system),
coded directly in C, and tuned for speed, so it can be used for production
by sites that process a lot of mail.

%description -l ru_RU.CP1251
Bogofilter --        .  
        
  ,     
""  "" ,   ,   
   . Bogofilter    
(  Berkeley DB),   C,    , 
      ,   
 .

%package tuning
Summary: Script for tuning Bogofilter parameters
Group: Networking/Mail
Requires: %name = %version-%release

%description tuning
This package features bogotune, a script that automates the process
of finding good parameters for bogofilter.
Bogofilter is a Bayesian spam filter using databases of "good" and "bad"
words for operation.

%package contrib
Summary: Scripts contributed to Bogofilter
Group: Networking/Mail
Requires: %name = %version-%release

AutoReq: yes, noperl

%description contrib
Helpful scripts contributed to the bogofilter package.
Bogofilter is a Bayesian spam filter.

%prep
%setup -q
%patch0 -p1
#rm -f COPYING
#ln -sf %_licensedir/GPL-2 COPYING

%build
%configure
%make_build
%{?!_disable_check:%make check}

%install
%makeinstall
#cp $RPM_BUILD_ROOT%_sysconfdir/bogofilter.cf.example \
#   $RPM_BUILD_ROOT%_sysconfdir/bogofilter.cf

install -d -m755 $RPM_BUILD_ROOT%_libdir/%name
install -d -m755 $RPM_BUILD_ROOT%_libdir/%name/contrib
for f in $(find contrib -type f ! \( -name 'Makefile*' -o -name '*.c' -o -name '*.o' -o -name '*.Po' \)); do
    cp -p "$f" $RPM_BUILD_ROOT%_libdir/%name/contrib
done

install -d -m755 $RPM_BUILD_ROOT%pkgdocdir
install -d -m755 $RPM_BUILD_ROOT%pkgdocdir/tuning
ln -s %_licensedir/GPL-2 $RPM_BUILD_ROOT%pkgdocdir/COPYING
install -m644 AUTHORS METHODS NEWS README TODO \
    $RPM_BUILD_ROOT%pkgdocdir/
install -m644 CHANGES-* \
    $RPM_BUILD_ROOT%pkgdocdir/
install -m644 RELEASE.NOTES-* \
    $RPM_BUILD_ROOT%pkgdocdir/
install -m644 doc/*.html \
    $RPM_BUILD_ROOT%pkgdocdir/
install -m644 doc/bogofilter-tuning.HOWTO \
    $RPM_BUILD_ROOT%pkgdocdir/
install -m644 doc/integrating-with-* \
    $RPM_BUILD_ROOT%pkgdocdir/
install -m644 doc/README.db \
    $RPM_BUILD_ROOT%pkgdocdir/

%files
%dir %pkgdocdir
%pkgdocdir/COPYING
%pkgdocdir/AUTHORS
%pkgdocdir/METHODS
%pkgdocdir/NEWS
%pkgdocdir/README*
%pkgdocdir/TODO
%pkgdocdir/CHANGES-*
%pkgdocdir/RELEASE.NOTES-*
%pkgdocdir/*.html
%pkgdocdir/bogofilter-tuning.HOWTO
%pkgdocdir/integrating-with-*
%_bindir/bogofilter
%_bindir/bogolexer
%_bindir/bogoupgrade
%_bindir/bogoutil
%_man1dir/bogofilter.1*
%_man1dir/bogolexer.1*
%_man1dir/bogoupgrade.1*
%_man1dir/bogoutil.1*
%_sysconfdir/bogofilter.cf.example
#%config(noreplace) %_sysconfdir/bogofilter.cf

%files tuning
%pkgdocdir/tuning
%_bindir/bogotune
%_man1dir/bogotune.1*

%files contrib
%dir %_libdir/%name
%_libdir/%name/contrib

%changelog
* Fri Apr 09 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.17.5-alt1
- New stable upstream release

* Fri Mar 05 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.16.4-alt3
- Requires libgsl >= 1.4, kudos to Egor Orlov at avalon.ru

* Fri Feb 13 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.16.4-alt2
- Rebuild against libdb4.2

* Sat Jan 31 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.16.4-alt1
- New stable upstream release

* Thu Jan 29 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.15.13.2-alt2
- Updated patch0 to prevent one more false dependency (bug #3562)
- Build contrib requires fully automatically
- tuning does not require procmail for operation

* Tue Jan 13 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.15.13.2-alt1
- New stable upstream release

* Wed Jan 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.15.13.1-alt1
- New stable upstream release

* Thu Jan 01 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.15.13-alt1
- New stable upstream release

* Thu Oct 23 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.15.7-alt1
- New stable upstream release

* Fri Sep 05 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.14.5.4-alt1
- New version

* Sun Aug 24 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.14.5.2-alt1
- New version

* Sun Jul 13 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.13.7.2-alt2
- Disabled perl dependencies for the contrib package

* Thu Jul 03 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.13.7.2-alt1
- New version
- Subpackaged tuning

* Fri Jun 06 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.13.6.2-alt1
- New version (see the release notes)
- Symlinked the license
- Do not install the default config file

* Sat Apr 19 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.2-alt1
- New version
- Descriptions from Alex Ott's bogofilter-0.11.1.5-alt1 package

* Wed Mar 26 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.11.1.3-alt1
- New version
- Doc list expansion
- Relocated contrib under /usr/lib, because it includes binaries nowadays
- Indirect invocation of qmail-inject for AutoReq to skip it [Patch0]

* Sat Dec 07 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.1.2-alt1
- Initial release based on the package from SourceForge
- Patch0: patch the lexer to exclude more random tokens, parse
  boundaries in conformance to RFC 2046
